---@param table table
---@param depth number?
function DumpTable(table, depth)
	if depth == nil then depth = 0 end
	if depth > 200 then
		print("Error: Depth > 200 in dumpTable()")
		return
	end
	for k, v in pairs(table) do
		if type(v) == "table" then
			print(string.rep("  ", depth) .. k .. ":")
			DumpTable(v, depth + 1)
		else
			print(string.rep("  ", depth) .. k .. ": ", v)
		end
	end
end

local colorer = Colorer.new()

local value = 1.21
local rgb = colorer:Interpolate(value)

for i = 1, 150 do
	local value = i / 100
	local rgb = colorer:Interpolate(value)
	print(value, rgb.r, rgb.g, rgb.b)
end
